summaryrefslogtreecommitdiffstats
path: root/trinity-apps/mplayerthumbs/mplayerthumbs-14.0.11.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'trinity-apps/mplayerthumbs/mplayerthumbs-14.0.11.ebuild')
-rw-r--r--trinity-apps/mplayerthumbs/mplayerthumbs-14.0.11.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/trinity-apps/mplayerthumbs/mplayerthumbs-14.0.11.ebuild b/trinity-apps/mplayerthumbs/mplayerthumbs-14.0.11.ebuild
new file mode 100644
index 00000000..a5c800d9
--- /dev/null
+++ b/trinity-apps/mplayerthumbs/mplayerthumbs-14.0.11.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="optional"
+
+TRINITY_LANGS="de"
+TRINITY_MODULE_TYPE="applications/multimedia"
+inherit trinity-base-2
+
+DESCRIPTION="MPlayer based thumbnail generator for TDE"
+HOMEPAGE="https://trinitydesktop.org/"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+IUSE="+strips"
+
+RDEPEND="media-video/mplayer"
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ -DWITH_STRIPS_SUPPORT="$(usex strips)"
+ )
+
+ trinity-base-2_src_configure
+}